<?xml version="1.0" encoding="UTF-8"?>
<codesense>
	
	<!--PHP blocks-->
	<provider>
		<selector>language-root.html.with-php, language-root.html.with-php *, language-root.php</selector>
		<completions>com.macrabbit.php.lang-delimiters</completions>
		<complete-match>&lt;[?ph=]+</complete-match>
	</provider>

	<!--Keywords-->
	<provider>
		<selector>language-root.php, language-root.php *:not(string, string *, comment, delimiter.source.start *)</selector>
		<completions>com.macrabbit.php.keywords</completions>
		<completions>com.macrabbit.php.language-functions</completions>
		<completions>com.macrabbit.php.magic-constants</completions>
		<completions>com.macrabbit.php.support.functions</completions>
		<complete-match>(?&lt;!->|\$|&lt;\?)\b[a-zA-Z0-9_]+</complete-match>
	</provider>
	
	<!--Superglobals-->
	<provider>
		<selector>language-root.php, language-root.php *:not(string, string *, comment, delimiter.source.start *)</selector>
		<completions>com.macrabbit.php.global-variables</completions>
		<complete-match>\$_[a-zA-Z_]*</complete-match>
	</provider>
	
	<!--Class methods-->
	<provider>
		<selector>language-root.php, php brace.round.open, php function.definition name</selector>
		<completions>com.macrabbit.php.class-methods</completions>
		<complete-match capture="1">(?:^|[^$])\b([_a-zA-Z]*)</complete-match>
	</provider>
    
</codesense>